QGIS Application - Feature request #2338
Cannot create a layer from csv file in projected CS
2010-01-02 11:25 AM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Pull Request or Patch supplied: Resolution: worksforme
Easy fix?: No Copied to github as #: 12398
Description

Unsure if this is a bug or enhancement.

1) Open attached csv file with delimited text plugin;

2) Right-click on a layer, save as shapefile

3) Choose UTM zone 43N as CS

QGIS tries to project already projected layer and complains. IMHO it shouldn't try to project, it should just assign chosen coordinate
system.

History

#1 - 2010-01-02 11:29 AM - Maxim Dubinin

It also seems to me that there is no way | can save such csv as a shapefile, as choosing WGS84 doesn't help either.

#2 - 2010-01-02 11:34 AM - Giovanni Manghi

Replying to [comment:1 gislab]:

It also seems to me that there is no way | can save such csv as a shapefile, as choosing WGS84 doesn't help either.

saving as wgs84 works for me under linux.

#3 - 2010-01-02 11:37 AM - Maxim Dubinin

ah, scratch comment #3906, got tangled in projections :)

#4 - 2010-06-11 11:45 PM - Paolo Cavallini
- Resolution set to worksforme

- Status changed from Open to Closed

Have you set the correct CRS for the layer when loaded? Otherwise it will take the default. Please reopen if appropriate
Files

54-22.csv 587 Bytes 2010-01-02 Maxim Dubinin
